HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostIssuingSettlementsSettlement

Contains the different functions to run the operation postIssuingSettlementsSettlement

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostIssuingSettlementsSettlement.hs
valuepostIssuingSettlementsSettlement
  1. :: MonadHTTP m
  2. => Text

    settlement | Constraints: Maximum length of 5000

  3. -> Maybe PostIssuingSettlementsSettlementRequestBody

    The request body to send

  4. -> ClientT m (Response PostIssuingSettlementsSettlementResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/issuing/settlements/{settlement}

<p>Updates the specified Issuing <code>Settlement</code> object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.</p>

Defines the object schema located at paths./v1/issuing/settlements/{settlement}.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postIssuingSettlementsSettlement.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostIssuingSettlementsSettlementResponseError is used.

Instances2Eq, Show